OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ItemDefinedTransformation Class Reference

Added from StepRepr Rev2 to Rev4
.

`#include <StepRepr_ItemDefinedTransformation.hxx>`

## Public Member Functions
Standard_EXPORT | StepRepr_ItemDefinedTransformation ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_RepresentationItem)&aTransformItem1, const Handle(StepRepr_RepresentationItem)&aTransformItem2)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetTransformItem1 (const Handle(StepRepr_RepresentationItem)&aItem)
Standard_EXPORT Handle_StepRepr_RepresentationItem | TransformItem1 () const
Standard_EXPORT void | SetTransformItem2 (const Handle(StepRepr_RepresentationItem)&aItem)
Standard_EXPORT Handle_StepRepr_RepresentationItem | TransformItem2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepRepr_RepresentationItem | theTransformItem1
Handle_StepRepr_RepresentationItem | theTransformItem2

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ItemDefinedTransformation::StepRepr_ItemDefinedTransformation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ItemDefinedTransformation::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_ItemDefinedTransformation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepRepr_ItemDefinedTransformation::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_RepresentationItem)& | aTransformItem1,
|  | const Handle(StepRepr_RepresentationItem)& | aTransformItem2
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ItemDefinedTransformation::Name | ( |  | ) | const

Standard_EXPORT void StepRepr_ItemDefinedTransformation::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepRepr_ItemDefinedTransformation::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepRepr_ItemDefinedTransformation::SetTransformItem1 | ( | const Handle(StepRepr_RepresentationItem)& | aItem | ) |

Standard_EXPORT void StepRepr_ItemDefinedTransformation::SetTransformItem2 | ( | const Handle(StepRepr_RepresentationItem)& | aItem | ) |

Standard_EXPORT Handle_StepRepr_RepresentationItem StepRepr_ItemDefinedTransformation::TransformItem1 | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationItem StepRepr_ItemDefinedTransformation::TransformItem2 | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepRepr_ItemDefinedTransformation::theDescription`[private]`

Handle_TCollection_HAsciiString StepRepr_ItemDefinedTransformation::theName`[private]`

Handle_StepRepr_RepresentationItem StepRepr_ItemDefinedTransformation::theTransformItem1`[private]`

Handle_StepRepr_RepresentationItem StepRepr_ItemDefinedTransformation::theTransformItem2`[private]`

The documentation for this class was generated from the following file:

- StepRepr_ItemDefinedTransformation.hxx